### Method

# FwupdPlugin Firmware has_flag

since: 1.5.0

#### Declaration [src]

    gboolean
    fu_firmware_has_flag (
      FuFirmware* firmware,
      FuFirmwareFlags flag
    )

#### Description [src]

Finds if the firmware has a specific firmware flag.

Available since: 1.5.0

#### Parameters

`flag`

  Type: `FuFirmwareFlags`

  The firmware flag.

#### Return value

Type: `gboolean`

`TRUE` if the flag is set.